<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Menu\MenuPunkt;


class MenuPunkt4ToolGruppe extends MenuPunkt
{
  
  public $unterpunkte = array();

  
  public $editable;

  
  public function __construct($pBeschriftung = '', $pEditable = true)
  {
    $this->beschriftung = $pBeschriftung;
    $this->editable = $pEditable;
  }

  

  
  public function createButton($buttonWidth = 150)
  {
    return '';
  }

  
  public function getType()
  {
    return 'menuGruppe';
  }

  
  public function getTool()
  {
    return 0;
  }

  public function isEditable()
  {
    return $this->editable;
  }

  
  public function getBeschriftung()
  {
    return $this->beschriftung;
  }

  public function isSameMenupunkt($menupunkt)
  {
    return $menupunkt->getType() == 'menuGruppe'
            && $menupunkt->getBeschriftung() == $this->getBeschriftung();
  }
}